Index: /branches/feature-module-paygent/html/test/naka/test.php
===================================================================
--- /branches/feature-module-paygent/html/test/naka/test.php	(revision 15180)
+++ /branches/feature-module-paygent/html/test/naka/test.php	(revision 15265)
@@ -8,11 +8,18 @@
  * 
  */
-require_once("../../require.php");
 
+//require_once("../../require.php");
+
+/*
 $objSiteSess = new SC_SiteSession();
 $objCartSess = new SC_CartSession();
 $objQuery = new SC_Query();
+*/
 
-sfPrintR($_SESSION);
+
+$ret = sprintf("0%02d0000", 1);
+
+print($ret);
+
 
 ?>
Index: /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.inc
===================================================================
--- /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.inc	(revision 15261)
+++ /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.inc	(revision 15265)
@@ -343,10 +343,11 @@
 	// Ìá¤ê¥Ü¥¿¥ó£Õ£Ò£Ì 
 	$arrSend['stop_return_url'] = SSL_URL . "shopping/load_payment_module.php";
-	// ¥³¥Ô¡¼¥é¥¤¥È
-	$arrSend['copy_right'] = "aaa";
+	
+	// ¥³¥Ô¡¼¥é¥¤¥È	
+	$arrSend['copy_right'] = $arrOtherParam['copy_right'];
 	// ¼«Í³¥á¥âÍó
-	$arrSend['free_memo'] = "¤ª¤ì¤Ï¼«Í³¤À";
+	$arrSend['free_memo'] = $arrOtherParam['free_memo'];
 	// »ÙÊ§´ü´Ö(0DDhhmm)
-	$arrSend['asp_payment_term'] = "0050000";
+	$arrSend['asp_payment_term'] = sprintf("0%02d0000", $arrOtherParam['asp_payment_term']);
 	
 	// ÅÅÊ¸¤ÎÁ÷ÉÕ
Index: /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.php
===================================================================
--- /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.php	(revision 15244)
+++ /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.php	(revision 15265)
@@ -98,5 +98,6 @@
         'payment_detail' => $arrSiteInfo['shop_kana'],
         'claim_kanji'    => $arrSiteInfo['shop_kana'],
-        'claim_kana'     => $arrSiteInfo['shop_kana']
+        'claim_kana'     => $arrSiteInfo['shop_kana'],
+        'asp_payment_term' => 7,
     );
 	$objFormParam->addParam("¥Þ¡¼¥Á¥ã¥ó¥ÈID", "merchant_id", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
@@ -105,8 +106,11 @@
 	$objFormParam->addParam("»ÙÊ§´ü¸ÂÆü", "conveni_limit_date", 2, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), $arrDefault['conveni_limit_date']);
 	$objFormParam->addParam("»ÙÊ§´ü¸ÂÆü", "atm_limit_date", 2, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), $arrDefault['atm_limit_date']);
-	$objFormParam->addParam("»ÙÊ§ÀâÌÀÊ¸(¥«¥Ê)", "payment_detail", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK", "KANA_CHECK"), $arrDefault['payment_detail']);
-	$objFormParam->addParam("»ÙÊ§ÀâÌÀÊ¸(´Á»ú)", "claim_kanji", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"), $arrDefault['claim_kanji']);
-	$objFormParam->addParam("»ÙÊ§ÀâÌÀÊ¸(¥«¥Ê)", "claim_kana", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK", "KANA_CHECK"), $arrDefault['claim_kana']);
+	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(¥«¥Ê)", "payment_detail", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK", "KANA_CHECK"), $arrDefault['payment_detail']);
+	$objFormParam->addParam("»ÙÊ§´ü¸ÂÆü", "asp_payment_term", 2, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), $arrDefault['asp_payment_term']);
+	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(Á´³Ñ)", "claim_kanji", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"), $arrDefault['claim_kanji']);
+	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(¥«¥Ê)", "claim_kana", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK", "KANA_CHECK"), $arrDefault['claim_kana']);
 	$objFormParam->addParam("ÍøÍÑ·èºÑ", "payment", "", "", array("EXIST_CHECK"));
+	$objFormParam->addParam("·èºÑ¥Ú¡¼¥¸ÍÑ¥³¥Ô¡¼¥é¥¤¥È(È¾³Ñ±Ñ¿ô)", "copy_right", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK","NO_SPTAB"));
+	$objFormParam->addParam("·èºÑ¥Ú¡¼¥¸ÍÑÀâÌÀÊ¸(Á´³Ñ)", "free_memo", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"));	
 	return $objFormParam;
 }
@@ -116,4 +120,5 @@
 	global $objFormParam;
 	$arrErr = $objFormParam->checkError();
+		
 	if($_POST['conveni_limit_date'] != "" && !($_POST['conveni_limit_date'] >= 1 &&  $_POST['conveni_limit_date'] <= 60)) {
 			$arrErr['conveni_limit_date'] = "¢¨ »ÙÊ§´ü¸ÂÆü¤Ï¡¢1¡Á60Æü¤Þ¤Ç¤Î´Ö¤ÇÀßÄê¤·¤Æ¤¯¤À¤µ¤¤¡£<br>";
@@ -131,5 +136,8 @@
             $arrErr['claim_kana'] = "¢¨ »ÙÊ§ÀâÌÀÊ¸¡Ê¥«¥Ê¡Ë¤òÆþÎÏ¤·¤Æ¤¯¤À¤µ¤¤¡£<br>";
     }
-	/** ¶¦ÄÌÅÅÊ¸ **/	
+	
+    
+    
+    /** ¶¦ÄÌÅÅÊ¸ **/	
 	// ¥Þ¡¼¥Á¥ã¥ó¥ÈID
 	$arrParam['merchant_id'] = $objFormParam->getValue('merchant_id');
@@ -183,4 +191,7 @@
 			$arrDisp['claim_kana'] = $arrParam['claim_kana'];
 			$arrDisp['claim_kanji'] = $arrParam['claim_kanji'];
+			$arrDisp['asp_payment_term'] = $arrParam['asp_payment_term'];
+			$arrDisp['copy_right'] = $arrParam['copy_right'];
+			$arrDisp['free_memo'] = $arrParam['free_memo'];
 			break;					
 		}
@@ -287,4 +298,7 @@
 			$arrParam['claim_kana'] = $_POST['claim_kana'];
 			$arrParam['claim_kanji'] = $_POST['claim_kanji'];
+			$arrParam['asp_payment_term'] = $_POST['asp_payment_term'];
+			$arrParam['copy_right'] = $_POST['copy_right'];
+			$arrParam['free_memo'] = $_POST['free_memo'];
 			$arrData = array(
 				"payment_method" => "PAYGENT¶ä¹Ô¥Í¥Ã¥È"
Index: /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.tpl
===================================================================
--- /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.tpl	(revision 15244)
+++ /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.tpl	(revision 15265)
@@ -58,5 +58,5 @@
 		
 		// ¶ä¹Ô¥Í¥Ã¥È¤Î¾ì¹ç
-		list = new Array('claim_kanji', 'claim_kana');
+		list = new Array('claim_kanji', 'claim_kana', 'asp_payment_term');
 		if(fm[payment[pi]][3].checked){
 			fnChangeDisabled(list, false);
@@ -213,5 +213,5 @@
 										</tr>
 										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">»ÙÊ§ÀâÌÀÊ¸¡Ê¥«¥Ê¡Ë</td>
+											<td width="" bgcolor="#f3f3f3">É½¼¨Å¹ÊÞÌ¾¡Ê¥«¥Ê¡Ë</td>
 											<td width="" bgcolor="#ffffff">
 											<!--{assign var=key value="payment_detail"}-->
@@ -225,7 +225,14 @@
 											<td colspan="2" width="90" bgcolor="#f3f3f3">¢§¶ä¹Ô¥Í¥Ã¥È·èºÑÀßÄê</td>
 										</tr>
-										
-										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">»ÙÊ§ÀâÌÀÊ¸¡Ê´Á»ú¡Ë</td>
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">»ÙÊ§´ü¸ÂÆü</td>
+											<td width="" bgcolor="#ffffff">
+											<!--{assign var=key value="asp_payment_term"}-->
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											¹ØÆþÆü¤è¤ê<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" size="2" maxlength="2">Æü
+											</td>
+										</tr>
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">É½¼¨Å¹ÊÞÌ¾¡Ê´Á»ú¡Ë</td>
 											<td width="" bgcolor="#ffffff">
 											<!--{assign var=key value="claim_kanji"}-->
@@ -236,5 +243,5 @@
 										</tr>
 										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">»ÙÊ§ÀâÌÀÊ¸¡Ê¥«¥Ê¡Ë</td>
+											<td width="" bgcolor="#f3f3f3">É½¼¨Å¹ÊÞÌ¾¡Ê¥«¥Ê¡Ë</td>
 											<td width="" bgcolor="#ffffff">
 											<!--{assign var=key value="claim_kana"}-->
@@ -244,5 +251,22 @@
 											</td>
 										</tr>
-										
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">·èºÑ¥Ú¡¼¥¸ÍÑ¥³¥Ô¡¼¥é¥¤¥È(È¾³Ñ±Ñ¿ô)</td>
+											<td width="" bgcolor="#ffffff">
+											<!--{assign var=key value="copy_right"}-->
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											<input type="text" name="<!--{$key}-->" style="ime-mode:disabled; <!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" class="box30" maxlength="<!--{$smarty.const.STEXT_LEN}-->"><br>
+											<span class="fs12">¢¨ Æþ¶â»þ¤Ë²èÌÌÉ½¼¨¤µ¤ì¤ë³ÎÇ§ÍÑ¤ÎÀâÌÀÊ¸¡Ö¡û¡û¡û¥ª¥ó¥é¥¤¥ó¥·¥ç¥Ã¥×¡×Åù</span>
+											</td>
+										</tr>										
+											<!--{assign var=key value="free_memo"}-->
+										<tr class="fs12n">
+											<td width="" bgcolor="#f3f3f3">·èºÑ¥Ú¡¼¥¸ÍÑÀâÌÀÊ¸(Á´³Ñ)</td>
+											<td width="" bgcolor="#ffffff">
+											<span class="red12"><!--{$arrErr[$key]}--></span>
+											<textarea name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" value="<!--{$arrForm[$key].value}-->" cols="40" rows="2" maxlength="<!--{$smarty.const.STEXT_LEN}-->"><!--{$arrForm[$key].value}--></textarea><br>
+											<span class="fs12">¢¨ Æþ¶â»þ¤Ë²èÌÌÉ½¼¨¤µ¤ì¤ë³ÎÇ§ÍÑ¤ÎÀâÌÀÊ¸¡Ö¡û¡û¡û¥ª¥ó¥é¥¤¥ó¥·¥ç¥Ã¥×¡×Åù</span>
+											</td>
+										</tr>
 										<!--{assign var=key value="service"}-->
 										<!--{if $arrErr[$key] != ""}-->