Index: /branches/feature-module-update/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/feature-module-update/data/class/helper/SC_Helper_DB.php	(revision 15237)
+++ /branches/feature-module-update/data/class/helper/SC_Helper_DB.php	(revision 15279)
@@ -14,4 +14,12 @@
  */
 class SC_Helper_DB {
+
+    // {{{ properties
+
+    /** ルートカテゴリ取得フラグ */
+    var $g_root_on;
+
+    /** ルートカテゴリID */
+    var $g_root_id;
 
     // }}}
@@ -166,4 +174,46 @@
         }
         return $ret;
+    }
+
+    /**
+     * 店舗基本情報を取得する.
+     *
+     * @return array 店舗基本情報の配列
+     */
+    function sf_getBasisData() {
+        //DBから設定情報を取得
+        $objConn = new SC_DbConn();
+        $result = $objConn->getAll("SELECT * FROM dtb_baseinfo");
+        if(is_array($result[0])) {
+            foreach ( $result[0] as $key=>$value ){
+                $CONF["$key"] = $value;
+            }
+        }
+        return $CONF;
+    }
+
+    /* 選択中のアイテムのルートカテゴリIDを取得する */
+    function sfGetRootId() {
+
+        if(!$this->g_root_on)	{
+            $this->g_root_on = true;
+            $objQuery = new SC_Query();
+
+            if (!isset($_GET['product_id'])) $_GET['product_id'] = "";
+            if (!isset($_GET['category_id'])) $_GET['category_id'] = "";
+
+            if(!empty($_GET['product_id']) || !empty($_GET['category_id'])) {
+                // 選択中のカテゴリIDを判定する
+                $category_id = SC_Utils_Ex::sfGetCategoryId($_GET['product_id'], $_GET['category_id']);
+                // ROOTカテゴリIDの取得
+                $arrRet = SC_Utils_Ex::sfGetParents($objQuery, 'dtb_category', 'parent_category_id', 'category_id', $category_id);
+                $root_id = $arrRet[0];
+            } else {
+                // ROOTカテゴリIDをなしに設定する
+                $root_id = "";
+            }
+            $this->g_root_id = $root_id;
+        }
+        return $this->g_root_id;
     }
 
Index: /branches/feature-module-update/data/class/SC_View.php
===================================================================
--- /branches/feature-module-update/data/class/SC_View.php	(revision 15257)
+++ /branches/feature-module-update/data/class/SC_View.php	(revision 15279)
@@ -122,5 +122,7 @@
 
         $array['tpl_mainnavi'] = $SC_VIEW_PHP_DIR . '/../Smarty/templates/frontparts/mainnavi.tpl';
-        $array['tpl_root_id'] = SC_Utils_Ex::sfGetRootId();
+
+        $objDb = new SC_Helper_DB_Ex();
+        $array['tpl_root_id'] = $objDb->sfGetRootId();
         $this->assignarray($array);
     }
Index: /branches/feature-module-update/data/class/util/SC_Utils.php
===================================================================
--- /branches/feature-module-update/data/class/util/SC_Utils.php	(revision 15238)
+++ /branches/feature-module-update/data/class/util/SC_Utils.php	(revision 15279)
@@ -88,16 +88,4 @@
             require_once($extern_php);
         }
-    }
-
-    function sf_getBasisData() {
-        //DBから設定情報を取得
-        $objConn = new SC_DbConn(DEFAULT_DSN);
-        $result = $objConn->getAll("SELECT * FROM dtb_baseinfo");
-        if(is_array($result[0])) {
-            foreach ( $result[0] as $key=>$value ){
-                $CONF["$key"] = $value;
-            }
-        }
-        return $CONF;
     }
 
@@ -1628,30 +1616,4 @@
     }
 
-    // ROOTID取得判定用のグローバル変数(一度取得されていたら再取得しないようにする)
-    //$g_root_on = false;
-    //$g_root_id = "";
-
-    /* 選択中のアイテムのルートカテゴリIDを取得する */
-    function sfGetRootId() {
-        global $g_root_on;
-        global $g_root_id;
-        if(!$g_root_on)	{
-            $g_root_on = true;
-            $objQuery = new SC_Query();
-            if($_GET['product_id'] != "" || $_GET['category_id'] != "") {
-                // 選択中のカテゴリIDを判定する
-                $category_id = SC_Utils::sfGetCategoryId($_GET['product_id'], $_GET['category_id']);
-                // ROOTカテゴリIDの取得
-                 $arrRet = SC_Utils::sfGetParents($objQuery, 'dtb_category', 'parent_category_id', 'category_id', $category_id);
-                 $root_id = $arrRet[0];
-            } else {
-                // ROOTカテゴリIDをなしに設定する
-                $root_id = "";
-            }
-            $g_root_id = $root_id;
-        }
-        return $g_root_id;
-    }
-
     /* カテゴリから商品を検索する場合のWHERE文と値を返す */
     function sfGetCatWhere($category_id) {