Index: /branches/feature-module-update/html/admin/index.php
===================================================================
--- /branches/feature-module-update/html/admin/index.php	(revision 15080)
+++ /branches/feature-module-update/html/admin/index.php	(revision 15280)
@@ -5,15 +5,14 @@
  * http://www.lockon.co.jp/
  */
+// {{{ requires
 require_once("./require.php");
+require_once(CLASS_PATH . "page_extends/admin/LC_Page_Admin_Ex.php");
 
-class LC_Page {
-	function LC_Page() {
-		$this->tpl_mainpage = 'login.tpl';
-	}
-}
+// }}}
+// {{{ generate page
 
-$objPage = new LC_Page();
-$objView = new SC_AdminView();
-$objView->assignobj($objPage);
-$objView->display(LOGIN_FRAME);
+$objPage = new LC_Page_Admin_Ex();
+$objPage->init();
+$objPage->process();
+register_shutdown_function(array($objPage, "destroy"));
 ?>
Index: /branches/feature-module-update/html/admin/require.php
===================================================================
--- /branches/feature-module-update/html/admin/require.php	(revision 15080)
+++ /branches/feature-module-update/html/admin/require.php	(revision 15280)
@@ -7,28 +7,36 @@
 $include_dir = realpath(dirname( __FILE__));
 require_once($include_dir . "/../define.php");
+if (!defined("CLASS_PATH")) {
+    /** クラスパス */
+    define("CLASS_PATH", $include_dir . "/.." . HTML2DATA_DIR . "class/");
+}
 
 require_once($include_dir . "/.." . HTML2DATA_DIR . "conf/conf.php");
 require_once($include_dir . "/.." . HTML2DATA_DIR . "include/module.inc");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "lib/glib.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "lib/slib.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_View.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_DbConn.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_Session.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_Query.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_SelectSql.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_CheckError.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_PageNavi.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_Date.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_Image.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_UploadFile.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_SiteInfo.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/GC_SendMail.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_FormParam.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_CustomerList.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_Customer.php");
-require_once($include_dir . "/.." . HTML2DATA_DIR . "class/SC_Pdf.php");
-
+require_once(CLASS_PATH . "util_extends/GC_Utils_Ex.php");
+require_once(CLASS_PATH . "util_extends/SC_Utils_Ex.php");
+require_once(CLASS_PATH . "db_extends/SC_DB_MasterData_Ex.php");
+require_once(CLASS_PATH . "db_extends/SC_DB_DBFactory_Ex.php");
+//require_once($include_dir . "/.." . HTML2DATA_DIR . "lib/glib.php");
+//require_once($include_dir . "/.." . HTML2DATA_DIR . "lib/slib.php");
+require_once(CLASS_PATH . "SC_View.php");
+require_once(CLASS_PATH . "SC_DbConn.php");
+require_once(CLASS_PATH . "SC_Session.php");
+require_once(CLASS_PATH . "SC_Query.php");
+require_once(CLASS_PATH . "SC_SelectSql.php");
+require_once(CLASS_PATH . "SC_CheckError.php");
+require_once(CLASS_PATH . "SC_PageNavi.php");
+require_once(CLASS_PATH . "SC_Date.php");
+require_once(CLASS_PATH . "SC_Image.php");
+require_once(CLASS_PATH . "SC_UploadFile.php");
+require_once(CLASS_PATH . "SC_SiteInfo.php");
+require_once(CLASS_PATH . "GC_SendMail.php");
+require_once(CLASS_PATH . "SC_FormParam.php");
+require_once(CLASS_PATH . "SC_CustomerList.php");
+require_once(CLASS_PATH . "SC_Customer.php");
+require_once(CLASS_PATH . "SC_Pdf.php");
+require_once(CLASS_PATH . "helper_extends/SC_Helper_PageLayout_Ex.php");
+require_once(CLASS_PATH . "helper_extends/SC_Helper_DB_Ex.php");
 // アップデートで取得したPHPを読み出す
-sfLoadUpdateModule();
-
+SC_Utils_Ex::sfLoadUpdateModule();
 ?>
Index: /branches/feature-module-update/data/class/pages/admin/LC_Page_Admin.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/LC_Page_Admin.php	(revision 15280)
+++ /branches/feature-module-update/data/class/pages/admin/LC_Page_Admin.php	(revision 15280)
@@ -0,0 +1,53 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * 管理者ログイン のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin extends LC_Page {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'login.tpl';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $objView = new SC_AdminView();
+        $objView->assignobj($this);
+        $objView->display(LOGIN_FRAME);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/data/class/page_extends/admin/LC_Page_Admin_Ex.php
===================================================================
--- /branches/feature-module-update/data/class/page_extends/admin/LC_Page_Admin_Ex.php	(revision 15280)
+++ /branches/feature-module-update/data/class/page_extends/admin/LC_Page_Admin_Ex.php	(revision 15280)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
+
+/**
+ * 管理者ログイン のページクラス(拡張).
+ *
+ * LC_Page_Admin をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_Ex extends LC_Page_Admin {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>