Index: /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.php
===================================================================
--- /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.php	(revision 15265)
+++ /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.php	(revision 15283)
@@ -106,11 +106,11 @@
 	$objFormParam->addParam("»ÙÊ§´ü¸ÂÆü", "conveni_limit_date", 2, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), $arrDefault['conveni_limit_date']);
 	$objFormParam->addParam("»ÙÊ§´ü¸ÂÆü", "atm_limit_date", 2, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), $arrDefault['atm_limit_date']);
-	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(¥«¥Ê)", "payment_detail", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK", "KANA_CHECK"), $arrDefault['payment_detail']);
+	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(¥«¥Ê)", "payment_detail", 12, "KVa", array("MAX_LENGTH_CHECK", "KANA_CHECK"), $arrDefault['payment_detail']);
 	$objFormParam->addParam("»ÙÊ§´ü¸ÂÆü", "asp_payment_term", 2, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), $arrDefault['asp_payment_term']);
-	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(Á´³Ñ)", "claim_kanji", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"), $arrDefault['claim_kanji']);
-	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(¥«¥Ê)", "claim_kana", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK", "KANA_CHECK"), $arrDefault['claim_kana']);
+	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(Á´³Ñ)", "claim_kanji", 12, "KVa", array("MAX_LENGTH_CHECK"), $arrDefault['claim_kanji']);
+	$objFormParam->addParam("É½¼¨Å¹ÊÞÌ¾(¥«¥Ê)", "claim_kana", 12, "KVa", array("MAX_LENGTH_CHECK", "KANA_CHECK"), $arrDefault['claim_kana']);
 	$objFormParam->addParam("ÍøÍÑ·èºÑ", "payment", "", "", array("EXIST_CHECK"));
-	$objFormParam->addParam("·èºÑ¥Ú¡¼¥¸ÍÑ¥³¥Ô¡¼¥é¥¤¥È(È¾³Ñ±Ñ¿ô)", "copy_right", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK","NO_SPTAB"));
-	$objFormParam->addParam("·èºÑ¥Ú¡¼¥¸ÍÑÀâÌÀÊ¸(Á´³Ñ)", "free_memo", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"));	
+	$objFormParam->addParam("·èºÑ¥Ú¡¼¥¸ÍÑ¥³¥Ô¡¼¥é¥¤¥È(È¾³Ñ±Ñ¿ô)", "copy_right", 64, "KVa", array("MAX_LENGTH_CHECK"));
+	$objFormParam->addParam("·èºÑ¥Ú¡¼¥¸ÍÑÀâÌÀÊ¸(Á´³Ñ)", "free_memo", 128, "KVa", array("MAX_LENGTH_CHECK"));	
 	return $objFormParam;
 }
Index: /branches/feature-module-paygent/data/downloads/module/mdl_paygent/paygent_batch.php
===================================================================
--- /branches/feature-module-paygent/data/downloads/module/mdl_paygent/paygent_batch.php	(revision 15197)
+++ /branches/feature-module-paygent/data/downloads/module/mdl_paygent/paygent_batch.php	(revision 15283)
@@ -5,5 +5,6 @@
  * http://www.lockon.co.jp/
  */
-require_once(MODULE_PATH . "mdl_paygent/mdl_paygent.inc");
+$PAYGENT_BATCH_DIR = realpath(dirname( __FILE__));
+require_once($PAYGENT_BATCH_DIR . "mdl_paygent.inc");
 
 sfPaygentBatch();
Index: /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.inc
===================================================================
--- /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.inc	(revision 15265)
+++ /branches/feature-module-paygent/data/downloads/module/mdl_paygent/mdl_paygent.inc	(revision 15283)
@@ -48,9 +48,13 @@
 define("PAYGENT_CREDIT", '020');
 // ¥Ð¥Ã¥Á¤Ç»ÈÍÑ¤¹¤ë¡£
-define("PAYGENT_REF", '090');	
-
-// »ÙÊ§¤¤ÊýË¡¤ÎÌ¾Á°
-define("MDL_PAYGENT_CREDIT_NAME", "PAYGENT¥¯¥ì¥¸¥Ã¥È·èºÑ");
-define("MDL_PAYGENT_CONVENI_NAME", "PAYGENT¥³¥ó¥Ó¥Ë·èºÑ");
+define("PAYGENT_REF", '090');
+
+// ¼õÃí»þ¤Î½é´ü¥¹¥Æ¡¼¥¿¥¹
+$arrInitStatus = array(
+	PAYGENT_CREDIT => ORDER_NEW,		// ¥¯¥ì¥¸¥Ã¥È¤Ï¿·µ¬¼õÉÕ
+	PAYGENT_ATM => ORDER_PAY_WAIT,		// ATM·èºÑ¤ÏÆþ¶âÂÔ¤Á
+	PAYGENT_CONVENI => ORDER_PAY_WAIT,	// ¥³¥ó¥Ó¥Ë¤ÏÆþ¶âÂÔ¤Á
+	PAYGENT_BANK => ORDER_NEW,			// ¶ä¹Ô¤Ï¿·µ¬¼õÉÕ
+);
 
 define ("CHARGE_MAX", 500000);
@@ -378,4 +382,5 @@
 function sfPaygentResponse($telegram_kind, $objPaygent, $uniqid) {
 	global $arrConvenience;
+	global $arrInitStatus;
 	
 	// ½èÍý·ë²Ì¼èÆÀ¡Ê¶¦ÄÌ¡Ë
@@ -398,6 +403,6 @@
 	// ¥¯¥ì¥¸¥Ã¥È·èºÑ¤Î¾ì¹ç
 	case PAYGENT_CREDIT:
-		// ¥¹¥Æ¡¼¥¿¥¹¤ò¿·µ¬¼õÉÕ¤Ë¤¹¤ë¡£
-		$arrVal["status"] = ORDER_NEW;
+		// ½é´ü¥¹¥Æ¡¼¥¿¥¹¤òÀßÄê¤¹¤ë¡£
+		$arrVal["status"] = $arrInitStatus[PAYGENT_CREDIT];
 		// ¶õ¤ÎÇÛÎó¤ò³ÊÇ¼¤·¤Æ¤ª¤¯
 		$arrVal["memo02"] = serialize(array());		
@@ -427,6 +432,6 @@
 		// ¼õÃí¥Æ¡¼¥Ö¥ë¤ËÊÝÂ¸
 		$arrVal["memo02"] = serialize($arrMemo);
-		// ¥¹¥Æ¡¼¥¿¥¹¤òÆþ¶âÂÔ¤Á¤Ë¤¹¤ë¡£
-		$arrVal["status"] = ORDER_PAY_WAIT;		
+		// ½é´ü¥¹¥Æ¡¼¥¿¥¹¤òÀßÄê¤¹¤ë¡£
+		$arrVal["status"] = $arrInitStatus[PAYGENT_CONVENI];		
 		break;
 	// ATM·èºÑ¤Î¾ì¹ç
@@ -441,11 +446,11 @@
 		// ¼õÃí¥Æ¡¼¥Ö¥ë¤ËÊÝÂ¸
 		$arrVal["memo02"] = serialize($arrMemo);
-		// ¥¹¥Æ¡¼¥¿¥¹¤òÆþ¶âÂÔ¤Á¤Ë¤¹¤ë¡£
-		$arrVal["status"] = ORDER_PAY_WAIT;		
+		// ½é´ü¥¹¥Æ¡¼¥¿¥¹¤òÀßÄê¤¹¤ë¡£
+		$arrVal["status"] = $arrInitStatus[PAYGENT_ATM];		
 		break;
 	// ¶ä¹Ô¥Í¥Ã¥È¤Î¾ì¹ç
 	case PAYGENT_BANK:
-		// ¥¹¥Æ¡¼¥¿¥¹¤ò¿·µ¬¼õÉÕ¤Ë¤¹¤ë¡£
-		$arrVal["status"] = ORDER_NEW;
+		// ½é´ü¥¹¥Æ¡¼¥¿¥¹¤òÀßÄê¤¹¤ë¡£
+		$arrVal["status"] = $arrInitStatus[PAYGENT_BANK];
 		// ¶õ¤ÎÇÛÎó¤ò³ÊÇ¼¤·¤Æ¤ª¤¯
 		$arrVal["memo02"] = serialize(array());