Index: /branches/feature-module-update/data/class/page_extends/admin/LC_Page_Admin_Logout_Ex.php
===================================================================
--- /branches/feature-module-update/data/class/page_extends/admin/LC_Page_Admin_Logout_Ex.php	(revision 15289)
+++ /branches/feature-module-update/data/class/page_extends/admin/LC_Page_Admin_Logout_Ex.php	(revision 15289)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin_Logout.php");
+
+/**
+ * ログアウト のページクラス(拡張).
+ *
+ * LC_Page_Admin_Logout をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_Logout_Ex extends LC_Page_Admin_Logout {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/data/class/SC_Session.php
===================================================================
--- /branches/feature-module-update/data/class/SC_Session.php	(revision 15287)
+++ /branches/feature-module-update/data/class/SC_Session.php	(revision 15289)
@@ -98,5 +98,5 @@
         session_destroy();
         // ログに記録する
-        gfPrintLog("logout : user=".$this->login_id." auth=".$this->authority." sid=".$this->sid);
+        GC_Utils_Ex::gfPrintLog("logout : user=".$this->login_id." auth=".$this->authority." sid=".$this->sid);
     }
 
@@ -109,5 +109,5 @@
         unset($_SESSION['uniqid']);
         // ログに記録する
-        gfPrintLog("logout : user=".$this->login_id." auth=".$this->authority." sid=".$this->sid);
+        GC_Utils_Ex::gfPrintLog("logout : user=".$this->login_id." auth=".$this->authority." sid=".$this->sid);
     }
 }
Index: /branches/feature-module-update/data/class/pages/admin/LC_Page_Admin_Logout.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 15289)
+++ /branches/feature-module-update/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 15289)
@@ -0,0 +1,53 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * ログアウト のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_Logout extends LC_Page {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $objSess = new SC_Session();
+        $objSess->logout();
+
+        $this->sendRedirect($this->getLocation(URL_DIR . "admin/index.php"));
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/html/admin/logout.php
===================================================================
--- /branches/feature-module-update/html/admin/logout.php	(revision 15080)
+++ /branches/feature-module-update/html/admin/logout.php	(revision 15289)
@@ -5,9 +5,14 @@
  * http://www.lockon.co.jp/
  */
+// {{{ requires
 require_once("./require.php");
+require_once(CLASS_PATH . "page_extends/admin/LC_Page_Admin_Logout_Ex.php");
 
-$objSess = new SC_Session();
-$objSess->logout();
+// }}}
+// {{{ generate page
 
-header("Location: " . URL_DIR . "admin/index.php");
+$objPage = new LC_Page_Admin_Logout_Ex();
+$objPage->init();
+$objPage->process();
+register_shutdown_function(array($objPage, "destroy"));
 ?>